com.holonplatform.vaadin.components.builders

## Interface OrderedLayoutBuilder<C extends com.vaadin.ui.Layout,B extends OrderedLayoutBuilder<C,B>>

- Type Parameters:
    `C` - Layout type
    `B` - Concrete builder type
  All Superinterfaces:
    BaseLayoutBuilder<C,B>, ClickableLayoutConfigurator<B>, ComponentBuilder<C,B>, ComponentConfigurator<B>, ComponentContainerBuilder<C,B>, ComponentContainerConfigurator<B>, LayoutBuilder<C,B>, LayoutConfigurator<B>, OrderedLayoutConfigurator<B>
  All Known Subinterfaces:
    HorizontalLayoutBuilder, VerticalLayoutBuilder

      public interface OrderedLayoutBuilder<C extends com.vaadin.ui.Layout,B extends OrderedLayoutBuilder<C,B>>
      extends OrderedLayoutConfigurator<B>, LayoutBuilder<C,B>

  Builder to create ordered `Layout`s.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.OrderedLayoutConfigurator

      `OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.LayoutConfigurator

      `LayoutConfigurator.BaseLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ClickableLayoutConfigurator

      `ClickableLayoutConfigurator.BaseClickableLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.OrderedLayoutConfigurator

      `addAlignAndExpand, addAndExpand, addAndExpandFull, expand`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.LayoutConfigurator

      `addAndAlign, align, defaultAlignment, margin, marginBottom, marginLeft, marginRight, marginTop, spacing, withoutMargin, withoutSpacing`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ClickableLayoutConfigurator

      `withLayoutClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseLayoutBuilder

      `withLayoutClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentContainerConfigurator

      `add, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization, dragSource, dropTarget`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2019 The Holon Platform. All rights reserved.